# Gimp.file_load_layers

    function file_load_layers(run_mode: Gimp.RunMode, image: Gimp.Image, file: Gio.File): Array(Gimp.Layer) {
        // Gjs wrapper for gimp_file_load_layers()
    }

Loads an image file as layers for an existing image.

This procedure behaves like the file-load procedure but opens the specified image as layers for an existing image. The returned layers needs to be added to the existing image with Gimp.Image.prototype.insert_layer.

Since 2.4

run_mode

  The run mode.

image

  Destination image.

file

  The file to load.

Returns

  The list of loaded layers. The returned value must be freed with g_free().